Reply
Contributor
Posts: 56
Registered: ‎07-15-2014
Accepted Solution

Not able to install cloudera manager databases

Hello,

 

I have download all cloudera rpms and the postgressql rpms in a directory

 


cloudera-manager-agent-5.2.1-1.cm521.p0.109.el6.x86_64.rpm
cloudera-manager-daemons-5.2.1-1.cm521.p0.109.el6.x86_64.rpm
cloudera-manager-server-5.2.1-1.cm521.p0.109.el6.x86_64.rpm
cloudera-manager-server-db-2-5.2.1-1.cm521.p0.109.el6.x86_64.rpm

postgresql-8.4.20-1.el6_5.x86_64.rpm postgresql-plperl-8.4.20-1.el6_5.x86_64.rpm
postgresql-contrib-8.4.20-1.el6_5.x86_64.rpm postgresql-plpython-8.4.20-1.el6_5.x86_64.rpm
postgresql-devel-8.4.20-1.el6_5.x86_64.rpm postgresql-pltcl-8.4.20-1.el6_5.x86_64.rpm
postgresql-docs-8.4.20-1.el6_5.x86_64.rpm postgresql-server-8.4.20-1.el6_5.x86_64.rpm
postgresql-libs-8.4.20-1.el6_5.x86_64.rpm postgresql-test-8.4.20-1.el6_5.x86_64.rpm
postgresql-odbc-08.04.0200-1.el6.x86_64.rpm

 

 

Now I have done a createrepo on this and am running Python -M SimpleHTTPServer. I also have set my cloudera-manager.repo file to point this HTTP Server

 

I was succeful in doing

 

sudo yum install oracle-j2sdk1.7

sudo yum install cloudera-manager-daemons cloudera-manager-server

 

 

but when I try to install the database by

 

sudo yum install cloudera-manager-server-db-2

 

it says 

 

--> Finished Dependency Resolution
Error: Package: cloudera-manager-server-db-2-5.2.1-1.cm521.p0.109.el6.x86_64 (cloudera-manager)
Requires: postgresql-server >= 8.4
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

 

but you can see that I have copied the postgresql* rpms in the same directory. So why doesn't it just use them?

 

 

Cloudera Employee
Posts: 578
Registered: ‎01-20-2014

Re: Not able to install cloudera manager databases

Can you run:
# yum clean all
# yum makecache
# yum list | grep postgres

What repo does the postgres show up under?

Regards,
Gautam Gopalakrishnan
Contributor
Posts: 56
Registered: ‎07-15-2014

Re: Not able to install cloudera manager databases

thanks you pointed me to the right direction. actually I by default it tries to go to the internet but I am using only local rpms

 

so to solve the issue i did

 

sudo yum -y --disablerepo=* --enablerepo=cloudera-manager,c6-media install cloudera-server-manager-db-2

 

now it was able to pick up postgressql successfully.

 

Thank you so much.

Highlighted
New Contributor
Posts: 4
Registered: ‎12-11-2017

Re: Not able to install cloudera manager databases

Hi, I'm running into the exact same error and tried the resolution as suggested. However, in my case, its NOT working. I still get the same error. Any suggestion why its not working for me. I would greatly appreciate your help.

 

My scenario:

 

1. I've all my rpms in my local dir and this box doesn't have access to internet.

 

[root@sandbox07 install-files]# pwd
/home/cloudera/install-files
[root@sandbox07 install-files]# ls -l
total 806540
-rw-r--r-- 1 cld cld 7901884 Jun 16 2016 cloudera-manager-agent-5.8.0-1.cm580.p0.40.el6.x86_64.rpm
-rw-r--r-- 1 cld cld 565420876 Jun 16 2016 cloudera-manager-daemons-5.8.0-1.cm580.p0.40.el6.x86_64.rpm
-rw-r--r-- 1 cld cld 8448 Jun 16 2016 cloudera-manager-server-5.8.0-1.cm580.p0.40.el6.x86_64.rpm
-rw-r--r-- 1 cld cld 10156 Jun 16 2016 cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64.rpm
-rw-r--r-- 1 cld cld 31924104 Jun 16 2016 enterprise-debuginfo-5.8.0-1.cm580.p0.40.el6.x86_64.rpm
-rw-r--r-- 1 cld cld 71204325 Jun 16 2016 jdk-6u31-linux-amd64.rpm
-rw-r--r-- 1 cld cld 142039186 Jun 16 2016 oracle-j2sdk1.7-1.7.0+update67-1.x86_64.rpm
-rw-r--r-- 1 cld cld 2710632 Dec 10 20:30 postgresql-8.4.20-1.el6_5.x86_64.rpm
-rw-r--r-- 1 cld cld 833816 Dec 10 20:36 postgresql-devel-8.4.20-1.el6_5.x86_64.rpm
-rw-r--r-- 1 cld cld 205304 Dec 10 20:35 postgresql-libs-8.4.20-1.el6_5.x86_64.rpm
-rw-r--r-- 1 cld cld 3602944 Dec 10 20:40 postgresql-server-8.4.20-1.el6_5.x86_64.rpm
drwxr-xr-x 2 cld cld 4096 Dec 11 03:54 repodata
-rw-r--r-- 1 cld cld 1690 Jun 16 2016 RPM-GPG-KEY-cloudera

 

2. My my-cloudera-af.repo file correctly points file location to the correct location:

 

[root@sandbox07 yum.repos.d]# ls
my-cloudera-af.repo redhat.repo rhel-source.repo
[root@sandbox07 yum.repos.d]# cat my-cloudera-af.repo
[my-cloudera-af-repo]
# Couldera Packages used for EnergyIP Analytic Foundation Implementation
name = my-cloudera-af
baseurl = file:///home/cloudera/install-files/
gpgkey = file:///home/cloudera/install-files/RPM-GPG-KEY-cloudera
gpgcheck = 0

 

3. Running the suggested yum command still result to the same error.

 

[root@sandbox07 install-files]# yum -y --disablerepo=* --enablerepo=my-cloudera-af-repo install cloudera-manager-server-db-2
Loaded plugins: downloadonly, product-id, refresh-packagekit, rhnplugin, security, subscription-manager, verify
There was an error communicating with RHN.
RHN Satellite or RHN Classic support will be disabled.
Error communicating with server. The message was:
Temporary failure in name resolution
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cloudera-manager-server-db-2.x86_64 0:5.8.0-1.cm580.p0.40.el6 will be installed
--> Processing Dependency: cloudera-manager-server = 5.8.0 for package: cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64
--> Processing Dependency: postgresql-server >= 8.4 for package: cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64
--> Running transaction check
---> Package cloudera-manager-server.x86_64 0:5.8.0-1.cm580.p0.40.el6 will be installed
--> Processing Dependency: cloudera-manager-daemons = 5.8.0 for package: cloudera-manager-server-5.8.0-1.cm580.p0.40.el6.x86_64
---> Package cloudera-manager-server-db-2.x86_64 0:5.8.0-1.cm580.p0.40.el6 will be installed
--> Processing Dependency: postgresql-server >= 8.4 for package: cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64
--> Running transaction check
---> Package cloudera-manager-daemons.x86_64 0:5.8.0-1.cm580.p0.40.el6 will be installed
---> Package cloudera-manager-server-db-2.x86_64 0:5.8.0-1.cm580.p0.40.el6 will be installed
--> Processing Dependency: postgresql-server >= 8.4 for package: cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64
--> Finished Dependency Resolution
Error: Package: cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64 (my-cloudera-af-repo)
Requires: postgresql-server >= 8.4
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

 

4. Running 'yum clean all', 'yum makecache' and finally 'yum list installed | grep postgre' gives the following result. Apparently these postgre* are already installed and has link to Redhat server. Not sure if this is causing the issue.

 

[root@sandbox07 yum.repos.d]# yum list installed|grep postgre
There was an error communicating with RHN.
RHN Satellite or RHN Classic support will be disabled.
Error communicating with server. The message was:
Temporary failure in name resolution
postgresql.x86_64 8.4.20-1.el6_5 @rhel-x86_64-server-6
postgresql-devel.x86_64 8.4.20-1.el6_5 @rhel-x86_64-server-6
postgresql-libs.x86_64 8.4.20-1.el6_5 @rhel-x86_64-server-6

Posts: 998
Topics: 1
Kudos: 248
Solutions: 126
Registered: ‎04-22-2014

Re: Not able to install cloudera manager databases

@shasta,

 

This looks like a yum problem.

 

yum is looking for "postgresql-server" and cannot find it...

 

--> Processing Dependency: postgresql-server >= 8.4 for package: cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64
--> Finished Dependency Resolution
Error: Package: cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64 (my-cloudera-af-repo)
Requires: postgresql-server >= 8.4

 

Try running "yum list |grep postgres-server"

 

As a workaround, you could install the packages manually using "yum localinstall" perhaps

Posts: 998
Topics: 1
Kudos: 248
Solutions: 126
Registered: ‎04-22-2014

Re: Not able to install cloudera manager databases

to clarify, "yum list |grep postgres-server" was intended to show in which repository the package is found.

New Contributor
Posts: 4
Registered: ‎12-11-2017

Re: Not able to install cloudera manager databases

 yum list |grep postgres-server does NOT return anything.

 

yum --nogpgcheck localinstall cloudera-manager-server-db-2-5.8.0-1.cm580.p0.40.el6.x86_64.rpm   gives me the exact same error.

 

FYI that I got the cloudera files (including repodata) from the following locations: http://archive.cloudera.com/cm5/repo-as-tarball/5.8.0/

 

And to have embeded postgresql db installed, my understanding is that i don't have to install any other external db separately.

 

Thanks much for looking into the issue 

 

 

New Contributor
Posts: 4
Registered: ‎12-11-2017

Re: Not able to install cloudera manager databases

Apparently, the problem was with the 'repodata' I had. The issue got resolved once I created the new repodata for my install-dir where I had all my install files.

 

I downloaded and installed 'createrepo' tool first and then ran the following using the tool:

 

createrepo /home/cloudera/install-files

 

This created a new repodata dir and the files and after this my installation succeeded without any error.

 

Announcements